#ifndef PRXSonatestMuxInternal_H
#define PRXSonatestMuxInternal_H

#ifdef __cplusplus
extern "C" {
#endif

#ifndef	PRX_EXPORTS
#error PRXSonatestMuxInternal.h should not be included outside the DLL
#endif

#include <stdarg.h>
NDTS_Boolean PRX_InitialiseSonatestSerialPort();
NDTS_Boolean PRX_SendCommandToSonatestSerialPort(const char *msg, ...);
NDTS_Boolean PRX_InitialiseSonatestSerialMuxInternal(int iniFileValue);
void PRX_SonatestMuxSetNumberOfSequenceSteps(unsigned long nSteps);
void PRX_SonatestMuxSetHVEnable(unsigned long flag);
void PRX_SonatestMuxSetHVLevel(unsigned long flag);
void PRX_SonatestMuxSetPulseEchoEnable(unsigned long flags);
void PRX_SonatestMuxSetReceiveChannel(unsigned long block, unsigned long channel);
void PRX_SonatestMuxSetTransmitPulseEnable(unsigned long block, unsigned long flags);
void PRX_SonatestSerialMuxSetGainInternal(unsigned long oneBasedChannel, int gainIndB);
void PRX_SonatestMuxSetPulseWidth(unsigned long block, unsigned long fiveNanoSecTicks);
void PRX_SonatestMuxSetInputImpedance(unsigned long block, unsigned long value);
void PRX_SonatestSerialMuxSetFilterInternal(unsigned long oneBasedChannel, int filter);
void PRX_SonatestSerialMuxSetVoltageClampInternal(unsigned long volts);
NDTS_Boolean PRX_SonatestSerialPortGetVersionNumber();



#ifdef __cplusplus
}
#endif


#endif
